Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl.xs
Class XSParticleDecl

    java.lang.Object
      weblogic.apache.xerces.impl.xs.XSParticleDecl

All Implemented Interfaces:
  weblogic.apache.xerces.impl.xs.psvi.XSObject, weblogic.apache.xerces.impl.xs.psvi.XSParticle

Deprecated. please use JDK supplied XML parsers and transformers

    public class XSParticleDecl

extends Object
implements weblogic.apache.xerces.impl.xs.psvi.XSParticle

Store schema particle declaration.

Field Summary
`int` | `fMaxOccurs` Deprecated.
`int` | `fMinOccurs` Deprecated.
`short` | `fType` Deprecated.
`weblogic.apache.xerces.impl.xs.psvi.XSTerm` | `fValue` Deprecated.
`static short` | `PARTICLE_ELEMENT` Deprecated.
`static short` | `PARTICLE_EMPTY` Deprecated.
`static short` | `PARTICLE_MODELGROUP` Deprecated.
`static short` | `PARTICLE_ONE_OR_MORE` Deprecated.
`static short` | `PARTICLE_WILDCARD` Deprecated.
`static short` | `PARTICLE_ZERO_OR_MORE` Deprecated.
`static short` | `PARTICLE_ZERO_OR_ONE` Deprecated.

Constructor Summary
`XSParticleDecl()` Deprecated.

Method Summary
`boolean` | `emptiable()` Deprecated. 3.9.6 Schema Component Constraint: Particle Emptiable whether this particle is emptible
`boolean` | `getIsMaxOccursUnbounded()` Deprecated. {max occurs} whether the maxOccurs value is unbounded.
`int` | `getMaxOccurs()` Deprecated. {max occurs} determines the maximum number of terms that can occur.
`int` | `getMinOccurs()` Deprecated. {min occurs} determines the minimum number of terms that can occur.
`String` | `getName()` Deprecated. The `name` of this `XSObject` depending on the `XSObject` type.
`String` | `getNamespace()` Deprecated. The namespace URI of this node, or `null` if it is unspecified.
`weblogic.apache.xerces.impl.xs.psvi.XSTerm` | `getTerm()` Deprecated. {term} One of a model group, a wildcard, or an element declaration.
`short` | `getType()` Deprecated. Get the type of the object, i.e ELEMENT_DECLARATION.
`boolean` | `isEmpty()` Deprecated.
`XSParticleDecl` | `makeClone()` Deprecated.
`int` | `maxEffectiveTotalRange()` Deprecated.
`int` | `minEffectiveTotalRange()` Deprecated. 3.8.6 Effective Total Range (all and sequence) and Effective Total Range (choice) The following methods are used to return min/max range for a particle.
`void` | `reset()` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PARTICLE_EMPTY

    public static final short PARTICLE_EMPTY

  Deprecated.
  See Also:
    Constant Field Values

### PARTICLE_ELEMENT

    public static final short PARTICLE_ELEMENT

  Deprecated.
  See Also:
    Constant Field Values

### PARTICLE_WILDCARD

    public static final short PARTICLE_WILDCARD

  Deprecated.
  See Also:
    Constant Field Values

### PARTICLE_MODELGROUP

    public static final short PARTICLE_MODELGROUP

  Deprecated.
  See Also:
    Constant Field Values

### PARTICLE_ZERO_OR_MORE

    public static final short PARTICLE_ZERO_OR_MORE

  Deprecated.
  See Also:
    Constant Field Values

### PARTICLE_ZERO_OR_ONE

    public static final short PARTICLE_ZERO_OR_ONE

  Deprecated.
  See Also:
    Constant Field Values

### PARTICLE_ONE_OR_MORE

    public static final short PARTICLE_ONE_OR_MORE

  Deprecated.
  See Also:
    Constant Field Values

### fType

    public short fType

  Deprecated.

### fValue

    public weblogic.apache.xerces.impl.xs.psvi.XSTerm fValue

  Deprecated.

### fMinOccurs

    public int fMinOccurs

  Deprecated.

### fMaxOccurs

    public int fMaxOccurs

  Deprecated.

Constructor Detail

### XSParticleDecl

    public XSParticleDecl()

  Deprecated.

Method Detail

### makeClone

    public XSParticleDecl makeClone()

  Deprecated.

### emptiable

    public boolean emptiable()

  Deprecated.
  3.9.6 Schema Component Constraint: Particle Emptiable whether this particle is emptible

### isEmpty

    public boolean isEmpty()

  Deprecated.

### minEffectiveTotalRange

    public int minEffectiveTotalRange()

  Deprecated.
  3.8.6 Effective Total Range (all and sequence) and Effective Total Range (choice) The following methods are used to return min/max range for a particle. They are not exactly the same as it's described in the spec, but all the values from the spec are retrievable by these methods.

### maxEffectiveTotalRange

    public int maxEffectiveTotalRange()

  Deprecated.

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

### reset

    public void reset()

  Deprecated.

### getType

    public short getType()

  Deprecated.
  Get the type of the object, i.e ELEMENT_DECLARATION.

  Specified by:
    `getType` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### getName

    public String getName()

  Deprecated.
  The `name` of this `XSObject` depending on the `XSObject` type.

  Specified by:
    `getName` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### getNamespace

    public String getNamespace()

  Deprecated.
  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.

  Specified by:
    `getNamespace` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### getMinOccurs

    public int getMinOccurs()

  Deprecated.
  {min occurs} determines the minimum number of terms that can occur.

  Specified by:
    `getMinOccurs` in interface `weblogic.apache.xerces.impl.xs.psvi.XSParticle`

### getIsMaxOccursUnbounded

    public boolean getIsMaxOccursUnbounded()

  Deprecated.
  {max occurs} whether the maxOccurs value is unbounded.

  Specified by:
    `getIsMaxOccursUnbounded` in interface `weblogic.apache.xerces.impl.xs.psvi.XSParticle`

### getMaxOccurs

    public int getMaxOccurs()

  Deprecated.
  {max occurs} determines the maximum number of terms that can occur.

  Specified by:
    `getMaxOccurs` in interface `weblogic.apache.xerces.impl.xs.psvi.XSParticle`

### getTerm

    public weblogic.apache.xerces.impl.xs.psvi.XSTerm getTerm()

  Deprecated.
  {term} One of a model group, a wildcard, or an element declaration.

  Specified by:
    `getTerm` in interface `weblogic.apache.xerces.impl.xs.psvi.XSParticle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD